PWA Studi: le query di Venia GraphQL su Adobe Commerce generano errori di convalida

Questo articolo fornisce consigli su come risolvere il problema in cui le query Venia storefront GraphQL nell’istanza Adobe Commerce producono errori di convalida.

Prodotti e versioni interessati

  • Adobe Commerce on-premise 2.2.x, 2.3.x
  • Adobe Commerce sull’infrastruttura cloud 2.2.x, 2.3.x
  • Progetto PWA Studi per Adobe Commerce

Problema

Le query di Venia GraphQL su Adobe Commerce on-premise o Adobe Commerce su infrastrutture cloud generano errori di convalida.

Causa

Uno dei motivi del problema potrebbe essere la mancata sincronizzazione di Venia e delle relative query GraphQL con lo schema dell’istanza Adobe Commerce connessa.

Soluzione

Per verificare se le query sono aggiornate, esegui il comando seguente nella directory principale del progetto:

yarn run validate-queries

Verrà visualizzato un rapporto di compatibilità. Se riscontri incompatibilità, devi aggiornare l’istanza PWA Studi o Adobe Commerce. Controlla la Matrice di compatibilità per Adobe Commerce per visualizzare esattamente le versioni necessarie.

Per istruzioni su come effettuare l’aggiornamento, consulta la seguente documentazione:

Lettura correlata

recommendation-more-help
8bd06ef0-b3d5-4137-b74e-d7b00485808a